%define	rname	libevent
%define	name	libevent%{version}
%define	version	0.9
%define	release	1mdk

%define	major	0
%define libname	%mklibname event %{version} %{major}

Summary:	Abstract asynchronous event notification library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Libraries
URL:		http://www.monkey.org/~provos/libevent/
Source0:	%{rname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{rname}-%{version}-root

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:          System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package -n	%{libname}-devel
Summary:	Static library and header files for the libevent library
Group:		Development/C
Obsoletes:	%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

This package contains the static libevent library and its header files
needed to compile applications such as stegdetect, etc.

%prep

%setup -q -n %{rname}-%{version}

%build
%serverbuild
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
%make libevent.a

gcc -Wl,-soname,libevent%{version}.so.%{major} -shared %{optflags} -fPIC -o libevent%{version}.so.%{major}.%{version} *.o

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_mandir}/man3

install -m0755 libevent%{version}.so.%{major}.%{version} %{buildroot}%{_libdir}/
ln -s libevent%{version}.so.%{major}.%{version} %{buildroot}%{_libdir}/libevent%{version}.so.%{major}
ln -s libevent%{version}.so.%{major}.%{version} %{buildroot}%{_libdir}/libevent%{version}.so

install -m0644 libevent.a %{buildroot}%{_libdir}/libevent%{version}.a
install -m0644 event.h %{buildroot}%{_includedir}/libevent%{version}.h
install -m0644 event.3 %{buildroot}%{_mandir}/man3/libevent%{version}.3

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_mandir}/man3/*

%changelog
* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9-1mdk
- readded under a new name

* Fri Jul 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9-1mdk
- 0.9
- nuke redundant provides
- misc spec file fixes

* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- 0.8
- drop the patch, it's included
- use the %%configure2_5x macro

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-5mdk
- remove Obsoletes on current version

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-4mdk
- rebuild

* Wed Mar 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-3mdk
- use the %%mklibname macro
- misc spec file fixes

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-2mdk
- build release

* Mon Sep 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-1mdk
- new version
- misc spec file fixes

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-2mdk
- rebuilt with gcc-3.2

* Thu Jun 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- new version
- added P0
- rebuilt with gcc3.1

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3d-1mdk
- initial cooker contrib
- stole the libpcap spec file
